## qmmp-2.2.8-2.src.tar.gz

=== src/plugins/FileDialogs/CMakeLists.txt ===
set(USE_QMMP_DIALOG TRUE CACHE BOOL "enable/disable Qmmp file dialog")
set(USE_TWO_PANEL_DIALOG TRUE CACHE BOOL "enable/disable Two-panel file dialog")

if(USE_QMMP_DIALOG)
    add_subdirectory(QmmpFileDialog)
endif(USE_QMMP_DIALOG)

if(USE_TWO_PANEL_DIALOG)
    add_subdirectory(TwoPanelFileDialog)
endif(USE_TWO_PANEL_DIALOG)
